org.firebirdsql.gds.ng.wire.version10

## Class V10WireOperations

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.AbstractWireOperations
  - - org.firebirdsql.gds.ng.wire.version10.V10WireOperations

- All Implemented Interfaces:
    FbWireOperations
  Direct Known Subclasses:
    V11WireOperations

      public class V10WireOperations
      extends AbstractWireOperations

  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.wire.FbWireOperations

      `FbWireOperations.ProcessAttachCallback`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `V10WireOperations(WireConnection<?,?> connection, WarningMessageCallback defaultWarningMessageCallback)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `authReceiveResponse(FbWireAttachment.AcceptPacket acceptPacket, DbCryptCallback dbCryptCallback, FbWireOperations.ProcessAttachCallback processAttachCallback)` Receive authentication response from the server.

    - ### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractWireOperations

      `addServerKeys, clearServerKeys, consumePackets, getAttachProperties, getClientAuthBlock, getConnection, getDefaultWarningMessageCallback, getEncoding, getPluginSpecificData, getXdrIn, getXdrOut, getXdrStreamAccess, handleCryptKeyCallback, processOperation, processResponse, processResponseWarnings, readBatchCompletionResponse, readGenericResponse, readNextOperation, readOperationResponse, readResponse, readSqlResponse, readStatusVector, readStatusVector, setNetworkTimeout, withLock, writeDirect`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.firebirdsql.gds.ng.wire.FbWireOperations

      `enqueueDeferredAction, processDeferredActions`

- - ### Constructor Detail

    - #### V10WireOperations

          public V10WireOperations(WireConnection<?,?> connection,
                                   WarningMessageCallback defaultWarningMessageCallback)

  - ### Method Detail

    - #### authReceiveResponse

          public void authReceiveResponse(FbWireAttachment.AcceptPacket acceptPacket,
                                          DbCryptCallback dbCryptCallback,
                                          FbWireOperations.ProcessAttachCallback processAttachCallback)
                                   throws java.io.IOException,
                                          java.sql.SQLException

      Description copied from interface: `FbWireOperations`
      Receive authentication response from the server.

      This method is only relevant for protocol V13 or higher.

      Parameters:
        `acceptPacket` - Packet with `op_cond_accept` data, or `null` when the data should be read from the connection.
        `dbCryptCallback` - Database encryption callback (ignored by protocols v12 and lower)
        `processAttachCallback` - Callback for processing the final attach response
      Throws:
        `java.io.IOException` - For errors reading the response from the connection.
        `java.sql.SQLException` - For errors returned from the server, or when attempting to read.

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.